#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	a GTK+2 interface to XRandR for LXDE desktop
Name:		lxrandr
Version:	0.1.2
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	8a7391581541bba58839ac11dbf5b575
Patch0:		mate-desktop.patch
URL:		http://wiki.lxde.org/en/LXRandR
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GTK+ interface to XRandR for LXDE desktop.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxrandr
%{_desktopdir}/lxrandr.desktop
%{_mandir}/man1/lxrandr*
%changelog
* Sat Mar 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxrandr.git;a=log;h=master

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> fc46059
hide from MATE preferences, mate has own display settings

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 8129adc
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> e9eab7d
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 64b9025
- up to 0.1.2, gtk3 bcond

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 3e5b4a6
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> dd19fb8
- ws cleanup

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> a97aa87
- BR: gettext-devel, pkgconfig
- workaround for broken po/Makefile

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 8b04757
- new

